# Copyright (c) 2021, XhiveFramework Technologies and contributors
# License: MIT. See LICENSE

import xhiveframework

# import xhiveframework
from xhiveframework.model.document import Document


class UserGroup(Document):
	def after_insert(self):
		xhiveframework.cache().delete_key("user_groups")

	def on_trash(self):
		xhiveframework.cache().delete_key("user_groups")
